# make_upright.py

import sys
import string
import re

def lit_fichier(nom):
    if DEBUG:
        print("--lit fichier--")
    f = open(nom)
    lignes = []
    while True:
        ch = f.readline()
        if ch == "": break
        ch = ch[:26]
        lignes.append(ch.upper())
    if DEBUG:
        for une_ligne in lignes:
            print(">>>", une_ligne.rstrip())
    flag_wait_plain = True
    flag_wait_crypto = False
    i = 0
    while True:
        if i == len(lignes):
            break
        if DEBUG:
            print("i,ligne-->", i, lignes[i])
        if (lignes[i][0] != "=") and (lignes[i][0] not in ALPHA):
            i += 1
            continue
        if flag_wait_plain:
            plain = lignes[i]
            flag_wait_plain = False
            flag_wait_crypto = True
            i += 1
        elif flag_wait_crypto:
            crypto = lignes[i]
            flag_wait_plain = True
            flag_wait_crypto = False
            lst_couples = list()
            plain = plain.rstrip()
            for k in range(len(plain)):
                lst_couples.append( plain[k] + crypto[k] )
            MSGS.append( list(lst_couples))
            i += 1

    if len(MSGS) == 0:
        print("--- Data File empty  ---")
        exit(1)

def new_couples(couples):
    nouveau_couple = []
    i = 0
    tb = list()
    for un_couple in couples:
        x = un_couple[0]
        y = un_couple[1]
        if x == "=":
            tb.append("  ")
            i += 1
            continue
        pos1 = QWERTZU.find(x)
        pos2 = QWERTZU.find(y)
        plain = QWERTZU[(pos1+i)%26]
        crypto= QWERTZU[(pos2+i)%26]
        if pos1 == -1 or pos2 == -1:
            print("ERROR: letter not found");exit(1)
        if plain < crypto:
            new_cpl = plain + crypto
        else:
            new_cpl = crypto + plain
        tb.append(new_cpl)
        i += 1
    TABLE_II.append(":".join(tb))

#-----------------
QWE = "QWERTZUIOASDFGHJKPYXCVBNML"
ALPHA = string.ascii_uppercase
#DEBUG=True
DEBUG=False

MSGS = []
QWERTZU = ALPHA
TABLE_II= [] 

# 1) on cree la table I
nom = sys.argv[1]
lit_fichier(nom)
#for un_msg in MSGS:
#    print(un_msg)

# 2) On cree la table II
for un_msgs in MSGS:
    new_couples(un_msgs)

for une_ligne in TABLE_II:
    print(une_ligne)

